#################################################################################

#
#    Copyright (C) 2006 Utah State University, All rights reserved.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##################################################################################

__author__  = '''David Ray, Shane Graber'''
__docformat__ = 'plaintext'
__version__   = '$ Revision 0.0 $'[11:-2]

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from Products.Folksemantic.config import *
from Products.CMFCore.utils import UniqueObject
from Products.CMFCore.ActionProviderBase import ActionProviderBase
from OFS.SimpleItem import SimpleItem
from OFS.PropertyManager import PropertyManager
from Globals import InitializeClass
from Products.CMFCore import permissions
from Products.PageTemplates.PageTemplateFile import PageTemplateFile
    

class FolksemanticTool(UniqueObject, SimpleItem, PropertyManager, ActionProviderBase):
    """ Folksemantic Tool """
    
    security = ClassSecurityInfo()
    __implements__ = (SimpleItem.__implements__,
                      ActionProviderBase.__implements__)

    id = 'portal_folksemantic'
    meta_type = 'FolksemanticTool'
    title = 'Folksemantic Tool'
    plone_tool = True
    toolicon = 'tool.gif'

    _properties = PropertyManager._properties + (
    )

    manage_options = (({'label':'Overview', 'action':'manage_overview'},) +
                      PropertyManager.manage_options +
                      ActionProviderBase.manage_options)


    security.declareProtected(permissions.ManagePortal, 'manage_overview')
    manage_overview = PageTemplateFile('overview', WWW_DIR)

    
    def __init__(self, id=None):
        pass


InitializeClass(FolksemanticTool)



